<?php

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=forum'>".LG('Форум')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=forum&section=subsection&id=".$section['ID']."'>".TEXT_ABSOLUTE($section['NAME'])."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=forum&section=subsection_themes&id=".$subsection['ID']."'>".TEXT_ABSOLUTE($subsection['NAME'])."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".TEXT_ABSOLUTE($fthem['NAME'])."";
ECHO "</div>";

IF (POST('ok')){
  
  $err_data = 0;
  
  $name = ADSL(POST('name'));
  $message = ADSL(POST('message'));
  $subsection2 = ADSL(POST('subsection'));
  
  IF (STR($name) < 1){
    
    ERROR('Имя не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($name) > 200){
    
    ERROR('Имя не может быть больше 200 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($message) < 1){
    
    ERROR('Содержимое не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($message) > 10000){
    
    ERROR('Содержимое не может быть больше 10000 символов', 'session');
    $err_data = 1;
    
  }
  
  IF ($fthem['MESSAGE'] != $message && DB::GET_COLUMN("SELECT COUNT(*) FROM `FORUM_THEM` WHERE `SUB_SECTION_ID` = '".$subsection2."' AND `MESSAGE` = '".$message."' LIMIT 1") == 1){
    
    ERROR('Тема с таким содержимым уже существует в данном подразделе', 'session');
    $err_data = 1;
    
  }
  
  IF ($err_data == 1){
    
    REDIRECT('/modules/?path=forum&section=show&id='.$fthem['ID'].'&get=edit');
    
  }
  
  DB::GET_SET("UPDATE `FORUM_THEM` SET `EDIT_TIME` = '".TIME()."', `EDIT_USER_ID` = '".$user['ID']."', `SUB_SECTION_ID` = '".$subsection2."', `NAME` = '".$name."', `MESSAGE` = '".$message."' WHERE `ID` = '".$fthem['ID']."' LIMIT 1");
  
  IF (ACCESS('forum_edit', NULL, 1) || MANAGEMENT == 1){
    
    LOGS('Форум - редактирование темы '.$account['LOGIN'].'', $user['ID']);
    
  }
  
  DB::GET_SET("UPDATE `ATTACHMENTS` SET `ID_POST` = '".$fthem['ID']."', `ACT` = '1' WHERE `USER_ID` = '".$user['ID']."' AND `ACT` = '0' AND `FORUM` = '1'");
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('/modules/?path=forum&section=show&id='.$fthem['ID']);
  
}

ECHO "<div class='list'>";

ECHO "<form method='post' class='form' action='/modules/?path=forum&section=show&id=".$fthem['ID']."&get=edit'>";

ECHO "<b>".LG('Введите название')."</b> (".LG('от 1 до 200 символов')."):<br />";
HTML::INPUT('name', 'Имя', NULL, NULL, TEXT_ABSOLUTE($fthem['NAME']));

ECHO "<b>".LG('Введите содержание')."</b> (".LG('от 1 до 10000 символов')."):<br />";
HTML::TEXTAREA(TEXT_ABSOLUTE($fthem['MESSAGE']), 'message', 'Описание');

ECHO "<br /><b>".LG('Добавить').":</b>";

//Прикрепление файлов
REQUIRE (ROOT.'/modules/forum/plugins/files_edit.php');

ECHO "<br />";

ECHO "<b>".LG('Подраздел').":</b><br /><select name='subsection' class='form-control-select'>";

$data = DB::GET_STRING_ALL("SELECT * FROM `FORUM_SUB_SECTION` ORDER BY `ID` DESC");

WHILE ($list = $data->FETCH()){
  
  ECHO "<option value='".$list['ID']."' ".($subsection['ID'] == $list['ID'] ?" selected='selected'":NULL).">".TEXT_ABSOLUTE($list['NAME'])."</option>";

}

ECHO "</select><br /><br />";

HTML::BUTTON('btn-big ajax-button', 'ok', 'save', 'Сохранить изменения');

ECHO "</form>";

ECHO "</div>";

ECHO "<div class='list'>";
ECHO "<a href='/modules/?path=forum&section=show&id=".$fthem['ID']."'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
ECHO "</div>";

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=forum'>".LG('Форум')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=forum&section=subsection&id=".$section['ID']."'>".TEXT_ABSOLUTE($section['NAME'])."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=forum&section=subsection_themes&id=".$subsection['ID']."'>".TEXT_ABSOLUTE($subsection['NAME'])."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".TEXT_ABSOLUTE($fthem['NAME'])."";
ECHO "</div>";

REQUIRE (ROOT.'/system/connections/footer.php');
EXIT;

?>